Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.widget.netvibes
Class NetvibesWidget

    java.lang.Object
      org.jboss.portal.widget.netvibes.NetvibesWidget

All Implemented Interfaces:
  Widget

    public class NetvibesWidget

extends java.lang.Object
implements Widget

Version:
  $Revision$
Author:
  Emanuel Muckenhuber

Constructor Summary
`NetvibesWidget(java.net.URL url, NetvibesWidgetInfo widgetInfo)`

Method Summary
`org.jboss.portal.common.i18n.LocalizedString` | `getDescription()`
`java.lang.String` | `getId()`
`org.jboss.portal.common.i18n.LocalizedString` | `getTitle()`
`NetvibesWidgetInfo` | `getWidgetInfo()`
`java.lang.String` | `render(java.util.Map<java.lang.String,java.lang.String> parameters)`
`java.lang.String` | `render(java.util.Map<java.lang.String,java.lang.String> parameters, java.util.Locale locale)`
`void` | `setDefaultHeight(int defaultHeight)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetvibesWidget

    public NetvibesWidget(java.net.URL url,
                          NetvibesWidgetInfo widgetInfo)

Method Detail

### setDefaultHeight

    public void setDefaultHeight(int defaultHeight)

### getDescription

    public org.jboss.portal.common.i18n.LocalizedString getDescription()

  Specified by:
    `getDescription` in interface `Widget`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `Widget`

### getTitle

    public org.jboss.portal.common.i18n.LocalizedString getTitle()

  Specified by:
    `getTitle` in interface `Widget`

### getWidgetInfo

    public NetvibesWidgetInfo getWidgetInfo()

### render

    public java.lang.String render(java.util.Map<java.lang.String,java.lang.String> parameters)

  Specified by:
    `render` in interface `Widget`

### render

    public java.lang.String render(java.util.Map<java.lang.String,java.lang.String> parameters,
                                   java.util.Locale locale)

  Specified by:
    `render` in interface `Widget`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD